> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Supported Dexes List by Network (ID Map)

> This endpoint allows you to **query all the supported decentralized exchanges (DEXs) based on the provided network on GeckoTerminal**

<Tip>
  ### Tips

  * You may use this endpoint to query the list of DEXs with DEX ID for other endpoints that contain params like `dex`.
  * You may include values such as `page` to specify which page of responses you would like to show.
</Tip>


## OpenAPI

````yaml api-reference/onchain-pro.json get /networks/{network}/dexes
openapi: 3.0.0
info:
  title: Onchain DEX API (Pro)
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /networks/{network}/dexes:
    get:
      tags:
        - Dexes
      summary: Supported Dexes List by Network (ID Map)
      description: >-
        This endpoint allows you to **query all the supported decentralized
        exchanges (DEXs) based on the provided network on GeckoTerminal**
      operationId: dexes-list
      parameters:
        - name: network
          in: path
          description: |-
            network ID 
             *refers to [/networks](/reference/networks-list)
          required: true
          schema:
            type: string
            example: eth
            default: eth
        - name: page
          in: query
          required: false
          description: |-
            page through results 
             Default value: 1
          schema:
            type: integer
      responses:
        '200':
          description: Get list of supported DEXs on a network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DexesList'
components:
  schemas:
    DexesList:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  name:
                    type: string
      example:
        data:
          - id: uniswap_v2
            type: dex
            attributes:
              name: Uniswap V2
          - id: sushiswap
            type: dex
            attributes:
              name: SushiSwap
          - id: uniswap_v3
            type: dex
            attributes:
              name: Uniswap V3
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````